// pages/details/details.js
import httpRequestApi from '../../utils/APIRequest';
import util from '../../utils/util';
Page({
  /**
   * 页面的初始数据
   */
  data: {
    anthologyHide: true,
    detailsHide: true,
    hide: true,
    str: '',
    summary: '',
    courseWareList: [],
    courseId: '',
    favoritesFlag: false,
    title: '',
    iconImg: '',
    postsList: [],
    dateArr: [],
    playUrl: '',
    courseWareId: '',
    currentVideo: 0
  },
  //点击收藏
  favorites: function () {
    this.setData({
      favoritesFlag: !this.data.favoritesFlag
    })
    httpRequestApi.getDetailsFavorites({
      targetCode: this.data.courseId,
      title: this.data.title,
      iconImg: this.data.iconImg
    }).success((res)=>{

    })
    
  },

  //点击添加到播放记录
  addHistory: function () {
    //console.log('播放',currentTarget.dataset);
    httpRequestApi.addPlayLogList({
      "title": this.data.title,
      "courseId": this.data.courseId,
      "courseWareId": this.data.courseWareId,
      "courseIcon": this.data.iconImg
    }).success(res => {
    })
  },

  //视频播放结束
  endplay: function () {
    const index = this.data.currentVideo + 1;
    this.setData({
      playUrl: this.data.courseWareList[index].playUrl,
      courseWareId: this.data.courseWareList[index].id,
      currentVideo: index
    })
  },

  //点击出现选集
  commentAnthology: function () {
    this.setData({
      anthologyHide: !this.data.anthologyHide
    })
  },

  //选择视频播放
  Anthology: function ({ currentTarget }) {
    const index = currentTarget.dataset.index;
    this.setData({
      playUrl: this.data.courseWareList[index].playUrl,
      courseWareId: this.data.courseWareList[index].id,
      currentVideo: index
    })
  },

  //出现详情页
  commentDetails: function () {
    this.setData({
      detailsHide: !this.data.detailsHide
    })
  },

  //点击评论
  pinglun: function () {
    this.setData({
      hide: !this.data.hide
    })
  },
  //点击取消
  no: function () {
    this.setData({
      hide: !this.data.hide,
      str: ''
    })
  },
  //点击确定评论
  yes: function () {
    if(this.data.str === '') {
      wx.showModal({
        title: '提示',
        content: '请输入内容'
      })
      return false;
    }
    httpRequestApi.getDetailsPosts({
      columnId: this.data.courseId,
      columnNames: this.data.title,
      detailDesc: this.data.str
    }).success((res)=>{
      if(res.data.success){
        wx.showToast({
          title: '评论成功'
        })
        this.setData({
          hide: !this.data.hide,
          str: ''
        })
        //获取评论列表
        this.getPostsList(this.data.courseId);
      }
    })    
  },   
  //获取输入值
  focus: function ({detail}) {
    this.setData({
      str: detail.value
    })
  }, 

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    const courseId = options.id;
    console.log(courseId)
    httpRequestApi.getCourseDetails(courseId).success((res)=>{
      console.log('课程详情', res);
      const data = res.data.data;
      this.setData({
        favoritesFlag: data.isFavorites,
        title: data.course.title,
        iconImg: data.course.iconImg,
        courseId,
        summary: data.course.summary,
        courseWareList: data.courseWareList,
        playUrl: data.courseWareList[0].playUrl,
        courseWareId: data.courseWareList[0].id
      })
    })
    //获取评论列表
    this.getPostsList(courseId);
  },
  //获取评论列表
  getPostsList: function (courseId) {
    httpRequestApi.getPostsList({
      courseId,
      pageNo: 1,
      pageSize: 10
    }).success((res)=>{
      console.log('评论列表', res);
      const dateArr = [];
      res.data.data.list.forEach(item => {
        dateArr.push(util.formatTime(new Date(item.gmtCreated)));
      });
      this.setData({
        postsList: res.data.data.list,
        dateArr
      })
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function (ops) {
    if (ops.from === 'button') {
      // 来自页面内转发按钮
      console.log(ops.target)
    }
    return {
      title: '七彩童年',
      path: `pages/details/details`,
      success: function (res) {
        // 转发成功
        console.log("转发成功:" + JSON.stringify(res));
        // var shareTickets = res.shareTickets;
        // if (shareTickets.length == 0) {
        //   return false;
        // }
        // //可以获取群组信息
        // wx.getShareInfo({
        //   shareTicket: shareTickets[0],
        //   success: function (res) {
        //     console.log(res)
        //   }
        // })
      },
      fail: function (res) {
        // 转发失败
        console.log("转发失败:" + JSON.stringify(res));
      }
    }
  }
})